package ssw.mj.symtab;

/**
 * MicroJava Symbol Table
 */
public class Tab {
	// Universe
	public static Struct noType, intType, charType, nullType;
	public static Obj noObj, chrObj, ordObj, lenObj;

	public static Scope topScope;  // current scope
	private static int level;      // nesting level of current scope
	
	
	// TODO Exercise 4: implementation of symbol table
	
	
	/**
	 * Set up "universe" (= predefined names).
	 */
	public static void init () {
	}

	
	/**
	 * String representation for JUnit test cases.
	 */
	public static String dump() {
		StringBuilder sb = new StringBuilder();
		if (topScope != null) {
			topScope.dump(sb);
		}
		return sb.toString();
	}
}
